Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452794 - ERROR:dbus.connection:Unable to set arguments ()
Summary: ERROR:dbus.connection:Unable to set arguments ()
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-25 05:53 UTC by Harald Hoyer
Modified: 2014-01-21 23:03 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-18 09:08:49 UTC


Attachments (Terms of Use)

Description Harald Hoyer 2008-06-25 05:53:13 UTC
- install F9 in a virtual machine
- enable rawhide repo
- update

...

  Cleanup   : gnome-settings-daemon        ##################### [892/893] 
  Cleanup   : system-config-users          ##################### [893/893] 
ERROR:dbus.connection:Unable to set arguments () according to signature u's':
<type 'exceptions.TypeError'>: More items found in D-Bus signature than in
Python arguments
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 241, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 193, in main
    base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 432, in doTransaction
    self.runTransaction(cb=cb)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 790, in
runTransaction
    if os.path.exists(fn):
  File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 175, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/refresh-packagekit.py", line 37, in posttrans_hook
    packagekit_iface.StateHasChanged('posttrans')
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 68, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 597, in
call_blocking
    message.append(signature=signature, *args)
TypeError: More items found in D-Bus signature than in Python arguments

Comment 1 Tim Lauridsen 2008-06-25 12:56:15 UTC
This is an issue triggered by a packagekit yum plugin
Reasigning to packagekit

Comment 2 Richard Hughes 2008-06-25 13:56:55 UTC
StateHasChanged has only one argument (string), so I'm struggling to see where
the bug is here.

Comment 3 Richard Hughes 2008-07-04 09:55:11 UTC
Right, so PackageKit and gnome-packagekit were updated from F9 to rawhide, and
the old yum plugin was used to talk to the new daemon. F9 will get Packagekit
0.2.3 soon, and that might mitigate the problem.

Comment 4 Richard Hughes 2008-08-18 09:08:49 UTC
F9 got 0.2.4, so bug should be fixed. Thanks.


Note You need to log in before you can comment on or make changes to this bug.